You need to enable JavaScript to run this app.
Intelligent Data Insight

Intelligent Data Insight

Copy page
Download PDF
Project Center
Metadata Information Open API
Copy page
Download PDF
Metadata Information Open API

1. Retrieve Dataset List

Note: Before using the interfaces described in this document, please first understand the invocation method. For details, see Invocation Method.
Request description

  • Request URL: POST /aeolus/api/v3/open/metadata/dataSetList

Request parameters

Parameter

Type

Required

Description

Example

appId

int

Yes

Project ID

1

dataSetIdList

array

No

If not provided, all datasets under the project will be returned

[1]

needSyncInfo

bool

No

Whether the latest synchronization time is needed. The default value is true. false can improve interface performance

true

needSyncInfo

bool

No

Whether data source information is needed. The default value is true. false can improve interface performance

true

Response example

{
    "data": [
        {
            "id": 1,                                数据集id
            "name": "",                             数据集name
            "url": "",                              数据集链接
            "owner": "",                            数据集所有者
            "upstreamInfo": [
                {"dbName": "a", "tableName": "b"}     上游表列表
            ],
            "type": {"code": 2, "name": "hive数据集"},  类型,code为标志码,name为可读名称
            "ctime": "2020-01-01 13:00:00",         创建时间
            "mtime": "2020-01-01 13:00:00"          更新时间
            "lastSyncTime": "2020-01-01 13:00:00"   最近同步时间
        }
    ]
}

2. Retrieve Data Source Information Used by the Dataset

Note: This API is available from version V2.46.0 onwards

Image
Image
Image
Request description

  • Request URL: GET /aeolus/api/v3/open/openDataFactory/getDataModelInfo?dataSetId=1

Request parameters

Parameter

Type

Required

Description

Example

dataSetId

int

Yes

Resource ID

1

Request example
?dataSetId=xxx
Response example

nodeConf": [
            {
                "children": [  children代表该节点为union类型,children对应的value为参与union的所有数据源的信息
                    {  union 1
                        "advanceSettings": [],
                        "clusterName": "cn",
                        "dataSourceType": "hive",  数据源类型
                        "dbName": "dw_aeolus",  库名(部分数据源类型有实际意义,如hive ck)
                        "displayDbName": "dw_aeolus",
                        "fields": [  数据源的字段列表
                            {
                          
                                "alias": "`source_table[dw_aeolus_slowpoke_hive_test_txt]`", 
                                "dsColumnNames": ["source_table1"],  该底表字段对应在数据集中的名称,list
                                "comment": "",
                                "isSelect": false,  👈🏻该数据源自带的字段是否被选用
                                "isSourceTableField": true,
                                "name": "source_table",  👈🏻字段名称(非维度指标;为原始字段)
                                "prepType": "string",
                                "type": "string"  👈🏻字段类型
                            },
                            ....
                        ],
                        "nodeType": "table",
                        "schemaName": "slowpoke_hive_test_txt",  表名
                        "tableAlias": "slowpoke_hive_test_txt",  表别称,当有多个相同表时,alias会加后缀进行区分
                        "tbId": "cn//dw_aeolus//slowpoke_hive_test_txt",
                        "tbName": "slowpoke_hive_test_txt"
                    },
                    {  union 2
                        "clusterName": "cn",
                        "dataSourceType": "hive",
                        "dbName": "dw_aeolus",
                        "displayDbName": "dw_aeolus",
                        "fields": [
                            {
                                "alias": "`source_table[dw_aeolus_slowpoke_hive_test_txt_1]`",
                                "comment": "",
                                "isSelect": true,
                                "isSourceTableField": true,
                                "name": "source_table",
                                "prepType": "string",
                                "type": "string"
                            },
                            .....
                        ],
                        "nodeType": "table",
                        "schemaName": "slowpoke_hive_test_txt_1",
                        "tableAlias": "slowpoke_hive_test_txt_1",
                        "tableRowFilter": {},
                        "tbId": "cn//dw_aeolus//slowpoke_hive_test_txt_1",
                        "tbName": "slowpoke_hive_test_txt"
                    }
                ],
                "fields": [  该fileds代表union 之后作为一个union table节点时,该节点所对应的字段
                    {
                        "alias": "map_store",
                        "comment": "map类型",
                        "dataSourceType": "hive",
                        "fieldMap": [
                            {
                                "fieldName": "map_store",
                                "tableId": "cn//dw_aeolus//slowpoke_hive_test_txt"
                            },
                            {
                                "fieldName": "map_store",
                                "tableId": "cn//dw_aeolus//slowpoke_hive_test_txt_1"
                            }
                        ],
                        "isPartition": false,
                        "isSourceTableField": false,
                        "name": "map_store",
                        "prepType": "string",
                        "type": "string"
                    },
                    ...
                ],
                "nodeType": "union_table"
            },
            {  没有children则代表该节点为单一节点,不存在union,下面为其全部信息,
               key对应内容含义与上面相同
                "clusterName": "cn",
                "dataSourceType": "hive",
                "dbName": "dw_aeolus",
                "displayDbName": "dw_aeolus",
                "fields": [
                    {
                        "alias": "`name[dw_aeolus_slowpoke_hive_two_partition]`",
                        "dsColumnNames": ["name_in_ds"],  该底表字段对应的数据集字段名称,list
                        "comment": "名称",
                        "isSelect": true,
                        "isSourceTableField": false,
                        "name": "name",
                        "prepType": "string",
                        "type": "string"
                    },
                    ....
                ],
                "nodeType": "table",
                "schemaName": "slowpoke_hive_two_partition",
                "tableAlias": "slowpoke_hive_two_partition",
                "tbId": "cn//dw_aeolus//slowpoke_hive_two_partition",
                "tbName": "slowpoke_hive_two_partition"
            }
        ],
        "nodeNum": 2  该数据集画布上组成的节点总数,注意是节点数,union之后所有的内容是一个节点
    }
}
DataSourceType枚举值
DATA_SOURCE_TYPE_HIVE = "hive"
DATA_SOURCE_TYPE_CLICK_HOUSE = "click_house"
DATA_SOURCE_TYPE_MYSQL = "mysql"
DATA_SOURCE_TYPE_KAFKA = "kafka"
DATA_SOURCE_TYPE_DRUID = "druid"
DATA_SOURCE_TYPE_CSV = "csv"
DATA_SOURCE_TYPE_CH_CSV = "ch_csv"
DATA_SOURCE_TYPE_EXCEL = "excel"
DATA_SOURCE_TYPE_CH_EXCEL = "ch_excel"
DATA_SOURCE_TYPE_DOCS = "docs"
DATA_SOURCE_TYPE_ADB2 = "adb2"
DATA_SOURCE_TYPE_ADB3 = "adb3"
DATA_SOURCE_TYPE_FOREIGN = "foreign"
DATA_SOURCE_TYPE_MAXCOMPUTE = "maxcompute"
DATA_SOURCE_TYPE_RESTAPI = "restapi"
DATA_SOURCE_TYPE_LARK_SHEET = "lark_sheet"
DATA_SOURCE_TYPE_LARK_BITABLE = "lark_bitable"
DATA_SOURCE_TYPE_RDS = "rds"
DATA_SOURCE_TYPE_POSTGRESQL = "postgresql"
DATA_SOURCE_TYPE_IMPALA = "impala"
DATA_SOURCE_TYPE_ORACLE = "oracle"
DATA_SOURCE_TYPE_SQLSERVER = "sqlserver"
DATA_SOURCE_TYPE_PHOENIX = "phoenix"
DATA_SOURCE_TYPE_DB2 = "db2"
DATA_SOURCE_TYPE_HANA = "hana"
DATA_SOURCE_TYPE_VERTICA = "vertica"
DATA_SOURCE_TYPE_GREENPLUM = "greenplum"
DATA_SOURCE_TYPE_TERADATA = "teradata"

3. Retrieve Dashboard List

Request description

  • Request URL: POST /aeolus/api/v3/open/metadata/dashboardList?appId=1

Request parameters

Parameter

Type

Required

Description

Example

appId

int

Yes

Project ID

1

dashboardIdList

array

No

If not provided, all dashboards under the project will be returned

[1]

rootId

int

No

Specify a public dashboard or a personal dashboard; if not provided, all will be returned. 0 is a public dashboard, 1 is a personal dashboard

0

parentId

int

No

Specify the parent directory (added in version 2.64)

1

Response parameters

Parameter

Type

Required

Description

Example

id

int

Yes

Dashboard ID

1

name

string

Yes

Dashboard name

123

url

string

Yes

Dashboard link

xxx

owner

string

Yes

Dashboard owner

coco

ctime

Yes

Creation time

2020-01-01 13:00:00

mtime

Yes

Update time

2020-01-02 13:00:00

Response example

{
    "data": [
        {
            "id": 1,                                仪表盘id
            "name": "",                             仪表盘名称
            "url": "",                              仪表盘链接
            "owner": "",                            仪表盘所有者
            "ctime": "2020-01-01 13:00:00",         创建时间
            "mtime": "2020-01-01 13:00:00"          更新时间
        }
    ]
}

4. Retrieve Chart List

Request description

  • Request URL: POST /aeolus/api/v3/open/metadata/reportList?appId=1

Request parameters

Parameter

Type

Required

Description

Example

appId

int

Yes

Project ID

1

reportIdList

array

No

If not provided, all charts under the project will be returned

[1]

Response parameters

Parameter

Type

Required

Description

Example

id

int

Yes

Chart ID

2

name

string

Yes

Chart name

234

url

string

Yes

Chart link

xxx

owner

string

Yes

Chart owner

coco

ctime

Yes

Creation time

2020-01-01 13:00:00

mtime

Yes

Update time

2020-01-02 13:00:00

Response example

{
    "data": [
        {
            "id": 1,                                图表id
            "name": "",                             图表名称
            "url": "",                              图表链接
            "owner": "",                            图表所有者
            "ctime": "2020-01-01 13:00:00",         创建时间
            "mtime": "2020-01-01 13:00:00"          更新时间
        }
    ]
}

5. Retrieve Charts Contained in the Dashboard

Request description

  • Request URL: POST /aeolus/api/v3/open/metadata/dashboardReport

Request parameters

Parameter

Type

Required

Description

Example

appId

int

Yes

Project ID

1

dashboardIdList

array

No

If not provided, all charts contained in all dashboards under the project will be returned

[1]

Response parameters

Parameter

Type

Required

Description

Example

id

int

Yes

Chart ID

2

name

string

Yes

Chart name

234

url

string

Yes

Chart link

xxx

owner

string

Yes

Chart owner

coco

ctime

Yes

Creation time

2020-01-01 13:00:00

mtime

Yes

Update time

2020-01-02 13:00:00

Response example

{
    "data": {
        "1001": [
            {
                "id": 1,                                图表id
                "name": "",                             图表name
                "url": "",                              图表链接
                "owner": "",                            图表所有者
                "ctime": "2020-01-01 13:00:00"          创建时间
                "mtime": "2020-01-01 13:00:00"          更新时间
            }
        ],
        "1002": []
    }
}

6. Retrieve Datasets Associated with the Chart

Request description

  • Request URL: POST /aeolus/api/v3/open/metadata/reportDataset

Request parameters

Parameter

Type

Required

Description

Example

appId

int

Yes

Project ID

1

reportIdList

No

If not provided, all associated charts under the project will be returned

[1]

needSyncInfo

No

Whether the latest synchronization time is required; the default value is true. false can improve API performance

true

needUpstreamInfo

No

Whether data source information is required; the default value is true. false can improve API performance

true

Response example

{
    "data": {
        "1001": [
            {
                "id": 1,                                数据集id
                "name": "",                             数据集name
                "url": "",                              数据集链接
                "owner": "",                            数据集所有者
                "ctime": "2020-01-01 13:00:00"          创建时间
                "lastSyncTime": "2020-01-01 13:00:00"   最近同步时间
            }
        ],
        "1002": []
    }
}

7. Retrieve the Dashboard to which the Chart Belongs

Request description

  • Request URL: POST /aeolus/api/v3/open/metadata/reportDashboard

Request parameters

Parameter

Type

Required

Description

Example

appId

int

Yes

Project ID

1

reportIdList

No

If not provided, all associated charts under the project will be returned

[1]

Response example

{
    "data": {
        "1001": [
            {
                "id": 1,                                仪表盘id
                "name": "",                             仪表盘名称
                "url": "",                              仪表盘链接
                "owner": "",                            仪表盘所有者
                "ctime": "2020-01-01 13:00:00"          创建时间
            }
        ],
        "1002": []
    }
}

8. Batch Verify whether Target Users Have Certain Permissions

Request description

  • Request URL: POST /aeolus/api/v3/open/auth/batchCheckAuth

Request parameters

Parameter

Type

Required

Description

Example

originId

int

Yes

Username of the authentication target

user_1

resType

Yes

Resource type requiring authentication. Enumeration: app: project, data_set: dataset, data_set_folder: dataset folder, dashboard: dashboard, large_screen: large screen

data_set

resIdList

Yes

List of resource IDs requiring authentication

[1, 2, 3]

requiredRole

No

Permissions required by the target user; the default is read_role. Enumeration: view_only_role: view only, read_role: read, write_role: write, admin: admin

read_role

Response parameters

Parameter

Type

Required

Description

Example

permittedIdList

array

Yes

List of resource IDs for which the target user has the required role

[1, 2]

Response example

{
    "data": {
        "permittedIdList": [1, 2]  目标用户拥有requireRole的资源id列表
    }
}

9. Retrieve User Permission List

Note: The interface returns results that intersect with the caller's identity to prevent unauthorized permission acquisition. For example, if the token represents that user A has access to dataset IDs [1, 2, 3], when retrieving datasets accessible to other users, the returned ID set will not exceed [1, 2, 3].
It is recommended that the app administrator acts as the token applicant (the app administrator has permission to all resources under the project).
Request description

  • Request URL: GET /aeolus/api/v3/authManagement/userPermittedRes

Request parameters

Parameter

Type

Required

Description

Example

originId

int

Yes

Username of the authentication target

user_1

resType

Yes

Resource types requiring authentication. Enumeration: app: project, data_set: data set, data_set_folder: data set folder, dashboard: dashboard, large_screen: large screen

data_set

Response parameters

Parameter

Type

Required

Description

Example

id

int

Yes

1

actions

number

Yes

User permissions. Enumeration: view_only_role: view only (no download permission), read_role: view, write_role: edit, admin: manage

read_role

appid

int

Yes

int

Project ID

Response example

{
  "res_list": [
    {
      "id": 1,
       view_only_role:仅阅览(无下载权限),read_role:查看,write_role:编辑,admin:管理
      "actions": ["view_only_role", "read_role", "write_role", "admin"],
      "app_id": 123
    }
  ]
}
Last updated: 2026.07.06 17:12:34